Shops
Set custom domain
PUT
/
api
/
v2
/
shops
/
{shopId}
/
domain
Set custom domain
curl --request PUT \
--url https://api.itemshop.dev/api/v2/shops/{shopId}/domain \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"customDomain": "sklep.twojadomena.pl"
}
'import requests
url = "https://api.itemshop.dev/api/v2/shops/{shopId}/domain"
payload = { "customDomain": "sklep.twojadomena.pl" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({customDomain: 'sklep.twojadomena.pl'})
};
fetch('https://api.itemshop.dev/api/v2/shops/{shopId}/domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "664f1a2b3c4d5e6f7a8b9c0d",
"uniqueName": "moj-sklep",
"displayName": "Mój Sklep",
"frontEndUrl": "https://moj-sklep.pl",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}Authorizations
apiKeyAuthbearerAuth
Path Parameters
Shop ID (ObjectId)
Body
application/json
Custom domain
Required string length:
3 - 253Example:
"sklep.twojadomena.pl"
Was this page helpful?
⌘I
Set custom domain
